Cloud Router API, REST: RoutingInstance.Create
Creates a RoutingInstance resource in the specified folder using the data specified in the request.
Method starts an asynchronous operation that can be cancelled while it is in progress.
HTTP request
POST https://cloudrouter.api.yandexcloud.kz/cloudrouter/v1/routingInstances
Body parameters
{
"name": "string",
"description": "string",
"folderId": "string",
"vpcInfo": [
{
"vpcNetworkId": "string",
"azInfos": [
{
"manualInfo": {
"azId": "string",
"prefixes": [
"string"
]
}
}
]
}
],
"cicPrivateConnectionInfo": [
{
"cicPrivateConnectionId": "string"
}
],
"labels": "object",
"deletionProtection": "boolean"
}
|
Field |
Description |
|
|
name |
string Name of the RoutingInstance. |
a-zA-Z?``. Value must match the regular expression |
|
description |
string Optional description of the RoutingInstance. 0-256 characters long. The maximum string length in characters is 256. |
|
|
folderId |
string Required field. ID of the folder that the RoutingInstance belongs to. The maximum string length in characters is 50. |
|
|
vpcInfo[] |
List of the info about vpcNetworks which are attached to the RoutingInstance. The maximum number of elements is 10000. |
|
|
cicPrivateConnectionInfo[] |
List of the info about privateConnections which are attached to the RoutingInstance. The maximum number of elements is 50. |
|
|
labels |
object (map<string, string>) Resource labels, The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |
|
|
deletionProtection |
boolean |
VpcInfo
|
Field |
Description |
|
vpcNetworkId |
string Required field. ID of the vpcNetwork that is attached to the routingInstance. The maximum string length in characters is 50. |
|
azInfos[] |
List of the az-related info about vpcNetworks which are attached to routingInstance The number of elements must be in the range 0-50. |
VpcAzInfo
|
Field |
Description |
|
manualInfo |
Required field. VpcInfo which is set by user |
VpcManualInfo
|
Field |
Description |
|
azId |
string Required field. ID of the AZ The maximum string length in characters is 50. |
|
prefixes[] |
string List of prefixes to announce The number of elements must be in the range 0-10000. |
CicPrivateConnectionInfo
|
Field |
Description |
|
cicPrivateConnectionId |
string Required field. ID of the cicPrivateConnection that is attached to the routingInstance. The maximum string length in characters is 50. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |